// beispiele/qteditor/MyWindow.h
#ifndef MyWindow_H
#define MyWindow_H
#include <QWidget>
#include <QMainWindow>
#include <QTextEdit>
#include <QContextMenuEvent>
#include <QFont>
#include <QFile>
#include <QMenu>
#include <QMenuBar>
#include <QFileDialog>
#include <QInputDialog>
#include <QLineEdit>
#include <QStatusBar>
#include <QLabel>
#include <QLCDNumber>
#include <QDateTime>
#include <QProgressBar>
#include <QToolBar>
#include <QDockWidget>
#include <QSettings>

class MyWindow : public QMainWindow {
     Q_OBJECT
public:
     MyWindow( QMainWindow *parent = 0,
               Qt::WindowFlags flags = 0);
     QTextEdit* editor;
     QTextEdit* dock_editor;
     QAction* act1, *act2, *act3, *act4;
     QAction *Start;
     QLabel *sLabel;
     QLCDNumber *time;
     QToolBar *toolFile;
     QToolBar *toolWork;
     QSettings *settings;
public slots:
     void openFile();
     void newFile();
     void search();
     void leftAlignment();
     void rightAlignment();
     void justifyAlignment();
     void centerAlignment();
     void printStart();
     void updateStatusBar();
     void updateTime();
     void showHTML();
     void closeEvent(QCloseEvent *event);
protected:
     void contextMenuEvent(QContextMenuEvent *event);
};
#endif

